curl --request PUT \
--url https://api.app.fleetit.com/v2/fleets/{ID}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 84,
"title": "New Fleet Test V3",
"is_active": true,
"regions": [
1
],
"customer_info": {
"ext_client_id": "123456",
"ext_billing_id": "654321",
"service_types": [
1
],
"email": "contactnewv2@newfleet.com",
"notes": "Initial setup for new fleet."
}
}
'{
"id": 84,
"title": "New Fleet Test V3",
"is_active": true,
"regions": [
"Washington"
],
"customer_info": {
"ext_client_id": "123456",
"ext_billing_id": "654321",
"service_types": [
"Tolls"
],
"email": "contactnewv2@newfleet.com",
"notes": "Initial setup for new fleet."
}
}Update a fleet by ID.
curl --request PUT \
--url https://api.app.fleetit.com/v2/fleets/{ID}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 84,
"title": "New Fleet Test V3",
"is_active": true,
"regions": [
1
],
"customer_info": {
"ext_client_id": "123456",
"ext_billing_id": "654321",
"service_types": [
1
],
"email": "contactnewv2@newfleet.com",
"notes": "Initial setup for new fleet."
}
}
'{
"id": 84,
"title": "New Fleet Test V3",
"is_active": true,
"regions": [
"Washington"
],
"customer_info": {
"ext_client_id": "123456",
"ext_billing_id": "654321",
"service_types": [
"Tolls"
],
"email": "contactnewv2@newfleet.com",
"notes": "Initial setup for new fleet."
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier for the fleet.
The unique identifier for the fleet.
84
The title of the fleet.
"New Fleet Test V3"
Indicates whether the fleet is active.
true
A list of region IDs associated with the fleet.
[1]Additional information about the customer.
Show child attributes
Successful response
The unique identifier for the fleet.
84
The title of the fleet.
"New Fleet Test V3"
Indicates whether the fleet is active.
true
A list of regions associated with the fleet.
["Washington"]Additional information about the customer.
Show child attributes
Was this page helpful?